This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1003670 - Cannot install Fedora 19
Cannot install Fedora 19
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-02 12:09 EDT by Jean-Pierre André
Modified: 2013-10-03 16:02 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-03 16:02:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/tmp/X.log created for installing in basic graphic mode (59.59 KB, text/plain)
2013-09-02 15:51 EDT, Jean-Pierre André
no flags Details
/tmp/syslog while starting to install in basic graphic mode (106.46 KB, text/plain)
2013-09-02 16:00 EDT, Jean-Pierre André
no flags Details
anaconda.log when starting to install in basic graphic mode (2.83 KB, text/plain)
2013-09-02 16:12 EDT, Jean-Pierre André
no flags Details

  None (edit)
Description Jean-Pierre André 2013-09-02 12:09:55 EDT
Description of problem:

I cannot install Fedora 19 on a laptop whose display controller is not supported by the installer.

Version-Release number of selected component (if applicable):

Fedora 19 released as Fedora-19-x86_64-DVD.iso

How reproducible:

Always.

Steps to Reproduce:
1. Boot the DVD, select "Install Fedora 19", this lead to an error while configuring the display, and the installation goes on into text mode (leading to a separate issue).

2. Retry, reboot the DVD, select "Troubleshooting", then "Install Fedora 19 in basic graphics mode"
3. The display gets configured in graphic mode, and the language selection screen is shown. Well, only part of it : the buttons "continue" and "quit" are outside the visible part of the screen.

Actual results:

No way to get out of this language selection screen : there is no slider to move the displayed part, double-clicking on a language selection does not lead to next screen, no suggestion about a possible use of the keyboard (whose layout is not yet defined).

Expected results:

There should be a way to validate the language selection and move to next step.

Additional info:

The GPU is Nvidia GeForce 9200M GS, the physical screen width is 30cm and height 19cm (w/h = 1.58)
Comment 1 Jean-Pierre André 2013-09-02 12:56:59 EDT
The separate issue mentioned at step 1 has been reported as bug #1003676
Comment 2 Steve Tyler 2013-09-02 13:37:16 EDT
Thanks for your report.

Do you know the display resolution in pixels?

If possible, could you attach the installer log files?
They are in /tmp in the installer environment.
This sounds like an X problem, so X.log would probably be the most relevant.

Press ctrl-alt-f2 to get to the installer shell console.
# cd /tmp
# scp *log user@host:hostdir

Please attach as separate, uncompressed, text/plain files.

By repeatedly pressing Tab, you can move among the various dialog elements of the language selection dialog, including the Quit and Continue buttons. By my count in a VM, pressing Tab four times will get you to the Continue button. Press Enter to continue.

You can use the Up and Down arrows to select different languages.
Comment 3 Jean-Pierre André 2013-09-02 15:51:15 EDT
Created attachment 792964 [details]
/tmp/X.log created for installing in basic graphic mode
Comment 4 Jean-Pierre André 2013-09-02 16:00:40 EDT
Created attachment 792965 [details]
/tmp/syslog while starting to install in basic graphic mode

This shows the installation was done from an USB key and the logs were captured on another USB key.

Also available on request : anaconda.log  ifcfg.log  program.log  storage.state tmux-0  yum.cache  anaconda-yum.conf  packaging.log  storage.log  syslog  X.log  yum.root
Comment 5 Jean-Pierre André 2013-09-02 16:12:03 EDT
Created attachment 792966 [details]
anaconda.log when starting to install in basic graphic mode

I am adding this one, as I see "Display mode = g" which might be relevant.
Comment 6 Jean-Pierre André 2013-09-02 16:13:15 EDT
About your other requests and suggestions :

The usual display resolution is 1280x800 (w/h = 1.6, similar to the physical ratio).

Using the tab key appears to be possible, but I will have to make a twin installation on a virtual machine, hoping there are no critical button out of sight. Is there a reverse tab (Ctrl-tab ?). I will try later.
Comment 7 Steve Tyler 2013-09-02 16:42:23 EDT
(In reply to Jean-Pierre André from comment #6)
> About your other requests and suggestions :
> 
> The usual display resolution is 1280x800 (w/h = 1.6, similar to the physical
> ratio).
> 
> Using the tab key appears to be possible, but I will have to make a twin
> installation on a virtual machine, hoping there are no critical button out
> of sight. Is there a reverse tab (Ctrl-tab ?). I will try later.

Thanks for the logs and the display resolution.

Shift-Tab can be used to cycle through the dialog elements in reverse.

By my count in a VM, the period is five tabs in the Welcome dialog -- pressing Tab five times will get you back to where you started.
Comment 8 Steve Tyler 2013-09-02 18:24:50 EDT
Snippets from attached X.log:
...
[    31.631] (II) VESA(0): VESA BIOS detected
[    31.631] (II) VESA(0): VESA VBE Version 3.0
[    31.631] (II) VESA(0): VESA VBE Total Mem: 14336 kB
[    31.631] (II) VESA(0): VESA VBE OEM: NVIDIA
[    31.631] (II) VESA(0): VESA VBE OEM Software Rev: 98.152
[    31.631] (II) VESA(0): VESA VBE OEM Vendor: NVIDIA Corporation
[    31.631] (II) VESA(0): VESA VBE OEM Product: G98 Board - 05686e80
[    31.631] (II) VESA(0): VESA VBE OEM Product Rev: Chip Rev   
...
[    33.136] (II) VESA(0): Setting up VESA Mode 0x17B (1280x720)
...

I'm not sure whether 1280x720 is standard, but I can't get any of the qemu VM video drivers to start at that resolution (VESA or not).

There is a "resolution" option that can be passed on the kernel command-line.
Explicitly setting the resolution to one of these might work:
resolution=1024x768
resolution=800x600

Press Tab at this boot menu item to edit the kernel command line:
Install Fedora 19 in basic graphics mode

Press Esc to cancel, Enter to boot.
Comment 9 Jean-Pierre André 2013-09-03 04:50:48 EDT
Appending resolution=1024x768 to the command line worked perfectly. Issue solved.

Thank you Steve for your prompt reply and help
Comment 10 Steve Tyler 2013-09-03 11:10:09 EDT
Thanks for your followup report. That's very good to hear.

ISTM, X should select a working resolution in VESA mode, so I believe the bug component could be changed to xorg-x11-drv-vesa.

21:24:48,773 DEBUG kernel:[    0.000000] DMI: Hewlett-Packard HP Pavilion dv4 Notebook PC/30F8, BIOS F.12 08/26/2008

BTW, have you checked for a BIOS update?
Comment 11 Jean-Pierre André 2013-09-04 03:10:00 EDT
> BTW, have you checked for a BIOS update?

Obviously not, I was far from imagining any relation with a BIOS issue.
Comment 12 David Shea 2013-10-03 16:02:43 EDT
Closing per comment 9

Note You need to log in before you can comment on or make changes to this bug.